// Letter Class 
// In this example a separate 'Letter' class has been created 
// this allows each letter to have it's own attributes functions and behaviours 
PFont font; 

// create an array to store instances of the letters
Letter [] letters; 

// variables for the starting x position and the text to display
float xpos = 100;
String message = "bounce";

void setup() { 
  size (600, 600); 

  font = loadFont ("ACaslonPro-SemiboldItalic-120.vlw");
  textFont (font, 120);


  // create a array for the letters.
  letters = new Letter [message.length()]; 
  
  
  // Populate the array with letter instances for each letter in the message
  for (int i=0; i<letters.length; i++) { 
    // create a new letter instance - set its letter ('char'), and x location 
    letters[i] = new Letter (message.charAt(i), xpos); 
    // update xpos for the next letter.
    xpos += textWidth (message.charAt(i));
  }
}


void draw() { 
  background (255);
  fill (50);
  
  // call the functions to move and draw each letter instance: 
  for (int i=0; i<letters.length; i++) { 
    letters[i].moveLetter();
    letters[i].drawLetter();
  }
}